Libraries - List By Workspace
A munkaterület kódtárainak listázása.
Tárak listázása egy munkaterületen.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Synapse/workspaces/{workspaceName}/libraries?api-version=2021-06-01
URI-paraméterek
| Name | In | Kötelező | Típus | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Az erőforráscsoport neve. A név nem megkülönbözteti a kis- és nagybetűket. |
|
subscription
|
path | True |
string minLength: 1 |
A cél-előfizetés azonosítója. |
|
workspace
|
path | True |
string |
A munkaterület neve. |
|
api-version
|
query | True |
string minLength: 1 |
A művelethez használni kívánt API-verzió. |
Válaszok
| Name | Típus | Description |
|---|---|---|
| 200 OK |
OKÉ. |
|
| Other Status Codes |
Hibaválasz érkezett az Azure Synapse szolgáltatástól. |
Példák
List libraries in a workspace
Mintakérelem
GET https://management.azure.com/subscriptions/12345678-1234-1234-1234-12345678abc/resourceGroups/exampleResourceGroup/providers/Microsoft.Synapse/workspaces/exampleWorkspace/libraries?api-version=2021-06-01
Mintaválasz
Date: Wed, 23 Oct 2020 21:33:05 GMT
X-Content-Type-Options: nosniff
x-ms-ratelimit-remaining-subscription-reads: 14909
x-ms-request-id: f632df92-1140-4e19-9e19-0b1c8cbe393b
x-ms-correlation-request-id: f632df92-1140-4e19-9e19-0b1c8cbe393b
{
"value": [
{
"id": "/subscriptions/12345678-1234-1234-1234-12345678abc/resourceGroups/exampleResourceGroup/providers/Microsoft.Synapse/workspaces/exampleWorkspace/libraries/exampleLibraryName1.jar",
"name": "exampleLibraryName1.jar",
"type": "Microsoft.Synapse/workspaces/libraries",
"properties": {
"name": "exampleLibraryName1.jar",
"path": "exampleWorkspace/libraries/exampleLibraryName1.jar",
"containerName": "exampleContainer",
"type": "jar",
"uploadedTimestamp": "2020-10-23T07:59:29.1573546+00:00",
"provisioningStatus": "Succeeded",
"creatorId": "2222222e-222d-222f-2222-22a2f222d2f2"
},
"etag": "1500474f-0000-0200-0000-5cbe090d0000"
},
{
"id": "/subscriptions/12345678-1234-1234-1234-12345678abc/resourceGroups/exampleResourceGroup/providers/Microsoft.Synapse/workspaces/exampleWorkspace/libraries/exampleLibraryName2.jar",
"name": "exampleLibraryName2.jar",
"type": "Microsoft.Synapse/workspaces/libraries",
"properties": {
"name": "exampleLibraryName2.jar",
"path": "exampleWorkspace/libraries/exampleLibraryName2.jar",
"containerName": "exampleContainer",
"type": "jar",
"uploadedTimestamp": "2020-10-23T07:59:29.1573546+00:00",
"provisioningStatus": "Succeeded",
"creatorId": "2222222e-222d-222f-2222-22a2f222d2f2"
},
"etag": "1500474f-0000-0200-0000-5cbe090d0000"
}
],
"nextLink": ""
}
Definíciók
| Name | Description |
|---|---|
|
Error |
Az erőforrás-kezelési hiba további információi. |
|
Error |
A hiba részletei. |
|
Error |
Hibaválasz |
|
Library |
A tár erőforrásainak listája. |
|
Library |
Kódtár válaszának részletei |
ErrorAdditionalInfo
Az erőforrás-kezelési hiba további információi.
| Name | Típus | Description |
|---|---|---|
| info |
object |
A további információk. |
| type |
string |
A további információtípus. |
ErrorDetail
A hiba részletei.
| Name | Típus | Description |
|---|---|---|
| additionalInfo |
A hiba további információi. |
|
| code |
string |
A hibakód. |
| details |
A hiba részletei. |
|
| message |
string |
A hibaüzenet. |
| target |
string |
A hibacél. |
ErrorResponse
Hibaválasz
| Name | Típus | Description |
|---|---|---|
| error |
A hibaobjektum. |
LibraryListResponse
A tár erőforrásainak listája.
| Name | Típus | Description |
|---|---|---|
| nextLink |
string |
Az eredmények következő oldalára mutató hivatkozás, ha vannak még találatok. |
| value |
A kódtár listája. |
LibraryResource
Kódtár válaszának részletei
| Name | Típus | Description |
|---|---|---|
| etag |
string |
Erőforráscímke. |
| id |
string |
Az erőforrás teljes erőforrás-azonosítója. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
Az erőforrás neve |
| properties.containerName |
string |
A storage blobtároló neve. |
| properties.creatorId |
string |
A tár/csomag létrehozójának azonosítója. |
| properties.name |
string |
A kódtár neve. |
| properties.path |
string |
Tár blob elérési útja. |
| properties.provisioningStatus |
string |
Az erőforrástár/csomag kiépítési állapota. |
| properties.type |
string |
A kódtár típusa. |
| properties.uploadedTimestamp |
string (date-time) |
A kódtár utolsó frissítési ideje. |
| type |
string |
Az erőforrás típusa. Pl. "Microsoft.Compute/virtualMachines" vagy "Microsoft.Storage/storageAccounts" |